return {
  'natecraddock/workspaces.nvim',
  config = function()
    require('workspaces').setup()
  end,
  branch = 'master',
  keys = {
    {
      '<space>p',
      function()
        local workspaces = require('workspaces')
        local fzf_lua = require('fzf-lua')
        fzf_lua.fzf_exec(function(cb)
          local results = workspaces.get()
          for _, e in ipairs(results) do
            cb(e['name'])
          end
          cb()
        end, {
          actions = {
            ['default'] = {
              function(selected)
                workspaces.open(selected[1])
                fzf_lua.git_files()
              end,
            },
            ['ctrl-d'] = {
              function(selected)
                workspaces.remove(selected[1])
              end,
              fzf_lua.actions.resume,
            },
            ['ctrl-a'] = {
              function()
                workspaces.add()
              end,
              fzf_lua.actions.resume,
            },
          },
        })
      end,
    },
  },
  enabled = false
}
